SAP NetWeaver cross-site scripting sérülékenység

CH azonosító

CH-7704

Angol cím

SAP NetWeaver RFC WSDL Service Cross-Site Scripting Vulnerability

Felfedezés dátuma

2012.10.04.

Súlyosság

Alacsony

Érintett rendszerek

NetWeaver
SAP

Érintett verziók

SAP NetWeaver 7.x

Összefoglaló

Az SAP NetWeaver olyan sérülékenysége vált ismertté, amelyet a támadók kihasználhatnak cross-site scripting (XSS/CSS) támadások kezdeményezésére.

Leírás

Az RFC WSDL szolgáltatásnak átadott bizonyos nem részletezett bemeneti adat nincs megfelelően megtisztítva, mielőtt a felhasználó részére visszaküldésre kerülne. Ezt kihasználva, tetszőleges HTML és script kódot lehet futtatni a felhasználó böngészőjének munkamenetében az érintett oldal vonatkozásában.

A sérülékenységet a 7.02 verzióban ismerték fel, de más kiadások is érintettek lehetnek.

Megoldás

Telepítse a javítócsomagokat